Commits

Anonymous committed e54e0bf

Change vldepper to only build first-level deps from source on grouped builds

  • Participants
  • Parent commits 7caf182

Comments (0)

Files changed (1)

slave/usr/local/bin/vldepper

 	# copy source dir to the build location
 	cp -ar $SBREPO/$dep /tmp/builds || exit 1
 	cd /tmp/builds/$dep/src || exit 1
-	echo " <==> Building $dep from source ..." >&2
+	echo "==> Building $dep from source ..." >&2
 	# recursive resolve deps
 	# call vldepper again
-	/usr/local/bin/vldepper /tmp/builds/$dep/src/$dep.SlackBuild || exit 1
+	# This time, we can use the repos... we are only doing 1st level of deps from source
+	GROUPBUILD=NO /usr/local/bin/vldepper /tmp/builds/$dep/src/$dep.SlackBuild || exit 1
 	sh ./$dep.SlackBuild || exit 1
 	installpkg /tmp/builds/$dep/$dep*.t?z || exit 1
     fi
 function process_deps() {
     sbpath=$1
     deps=$(list_deps $sbpath)
-#    process_removals $deps
     if [ "x$deps" != "x" ]; then
 	echo ""
 	echo "$sbpath requests the following dependencies"
 	echo ""
 	# Check if we want a full rebuild from source
 	if [ "$GROUPBUILD" == "TRUE" ]; then
-		echo "GROUPBUILD is set to $GROUPBUILD.  Forcing all deps to be built from source"
+		echo "GROUPBUILD is set to $GROUPBUILD.  Forcing first-level deps to be built from source"
 		echo ""
 	    # We want to force builds from source straight up
 	    for dep in $deps; do
 			echo "$sbpath requested to remove $pkg" >&2
 			uninstall_dep $pkg
 
-		elif [ -f $BUILDLOC/$dep/$dep*.t?z ]; then
+		elif [ -f $BUILDLOC/$dep/$dep-*.t?z ]; then
 		    echo "==> Installing previously built $dep package"
-		    installpkg $BUILDLOC/$dep/$dep*.t?z
+		    installpkg $BUILDLOC/$dep/$dep-*.t?z
 		elif [ -d $SBREPO/$dep ]; then
 		    cp -ar $SBREPO/$dep /tmp/builds || exit 1
-#		    echo "<==> Building $dep from source code ..." >&2
 		    install_dep_from_source $dep
 		else
-		    echo "Unable to fulfill $dep dependancy"
+		    echo "Unable to fulfill $dep dependancy.  Cannot continue" >&2
 		    exit 1
 		fi
 	    done